# azure.mgmt.commerce.operations module

class `azure.mgmt.commerce.operations.``UsageAggregatesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  UsageAggregatesOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  `list`(reportedstart_time, reported_end_time, show_details=None, aggregation_granularity='Daily', continuation_token=None, custom_headers=None, raw=False, **operation_config)

    Query aggregated Azure subscription consumption data for a date range.

    Parameters:

    - reportedstart_time (datetime) – The start of the time range to retrieve data for.
    - reported_end_time (datetime) – The end of the time range to retrieve data for.
    - show_details (bool) – When set to true (default), the aggregates are broken down into the instance metadata which is more granular.
    - aggregation_granularity (str or `AggregationGranularity`) – Value is either daily (default) or hourly to tell the API how to return the results grouped by day or hour. Possible values include: ‘Daily’, ‘Hourly’
    - continuation_token (str) – Retrieved from previous calls, this is the bookmark used for progress when the responses are paged.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `UsageAggregationPaged`

class `azure.mgmt.commerce.operations.``RateCardOperations`(client, config, serializer, deserializer)

  Bases: `object`

  RateCardOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  `get`(filter=None, custom_headers=None, raw=False, **operation_config)

    Enables you to query for the resource/meter metadata and related prices used in a given subscription by Offer ID, Currency, Locale and Region. The metadata associated with the billing meters, including but not limited to service names, types, resources, units of measure, and regions, is subject to change at any time and without notice. If you intend to use this billing data in an automated fashion, please use the billing meter GUID to uniquely identify each billable item. If the billing meter GUID is scheduled to change due to a new billing model, you will be notified in advance of the change. .

    Parameters:

    - filter (str) – The filter to apply on the operation. It ONLY supports the ‘eq’ and ‘and’ logical operators at this time. All the 4 query parameters ‘OfferDurableId’, ‘Currency’, ‘Locale’, ‘Region’ are required to be a part of the $filter.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `ResourceRateCardInfo`
    Return type: | `ClientRawResponse` if raw=true